> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get G/L Entry by ID

GET https://api.npretail.app/{tenant}/{environment}/{company}/generalledger/entry/{id}

Retrieves a single G/L entry by its system ID.

Reference: https://docs.navipartner.com/apis/api-reference/finance/glentry/get-entry-by-id

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `id` (UUID, required) — The UUID of the G/L Entry.

## Response

### 200

- `id` (UUID, required) — The unique identifier for the G/L Entry (SystemId).
- `entryNumber` (integer, required) — The unique sequential number of the G/L entry.
- `postingDate` (date, required) — The date the entry was posted to the general ledger.
- `documentNumber` (string, required) — The number of the document that the entry belongs to.
- `documentType` (enum, required) — The type of the document that the entry belongs to.
  - Allowed values: ` `, `Payment`, `Invoice`, `Credit Memo`, `Finance Charge Memo`, `Reminder`, `Refund`
- `accountId` (UUID, required) — The unique identifier of the G/L account.
- `accountNumber` (string, required) — The G/L account number that the entry was posted to.
- `description` (string, required) — A description of the transaction.
- `debitAmount` (double, required) — The debit amount of the entry.
- `creditAmount` (double, required) — The credit amount of the entry.
- `additionalCurrencyDebitAmount` (double, required) — The debit amount in the additional reporting currency.
- `additionalCurrencyCreditAmount` (double, required) — The credit amount in the additional reporting currency.
- `lastModifiedDateTime` (datetime, required) — The date and time the G/L entry was last modified.
- `rowVersion` (string, optional) — The row version for data synchronization, required for the 'sync' parameter.

## Examples

**Response**

```json
{
  "id": "f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5",
  "entryNumber": 10523,
  "postingDate": "2025-06-23",
  "documentNumber": "INV-102030",
  "documentType": "Invoice",
  "accountId": "a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6",
  "accountNumber": "10100",
  "description": "Sale of goods",
  "debitAmount": 1250,
  "creditAmount": 0,
  "additionalCurrencyDebitAmount": 0,
  "additionalCurrencyCreditAmount": 0,
  "lastModifiedDateTime": "2025-06-23T11:45:10Z",
  "rowVersion": "0x0000000001D8F9A1"
}
```

**SDK Code**

```python Get a single GL Entry
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get a single GL Entry
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get a single GL Entry
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get a single GL Entry
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Get a single GL Entry
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Get a single GL Entry
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Get a single GL Entry
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Get a single GL Entry
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/entry/f0a1b2c3-d4e5-f6a7-b8c9-d0e1f2a3b4c5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```